.form-control {
    text-overflow: ellipsis;
    box-sizing: border-box;

    color: var(--text-color);
    background: var(--form-control-bg);
    border: 1px solid var(--border);
    border-radius: 0.25rem;

    width: 100%;
    min-height: 2rem;

    padding: 0 0.5rem;
    outline: none;

    &:disabled, > :disabled {
        color: var(--text-color-dark);
        background-color: var(--contrast-light);
    }

    &:focus-within {
        border: 1px solid rgba(var(--prim-rgb), 0.9) !important;
    }

    span {
        margin: 0 !important;
    }
}
